#include <iostream>
#include <string>
using namespace std;
main(){
string rec;
string a;
int mini=200000;
char index=' ';
cin>>rec>>a;
int n=rec.length();
int a2=a.length();
int br[a2];
int q=1;
for(int i=0;i<a2;i++){
    br[i]=0;
}
for(int i=1;i<a2;i++){
    if (a[i]==a[0]) q++;
}

if(a2==1){
    int br2=0;
for(int i=0;i<n;i++){
    for(int j=0;j<a2;j++){
        if(a[j]==rec[i]){
                rec[i]=42;
                br2++;
        }
    }
}
cout<<br2<<endl<<rec;
}
else if(q==a2){
    int br2=0;
    for(int i=0;i<n;i++){
        if(rec[i]==a[0]) {
            br2++;
            rec[i]=42;
            if(br2==a2) break;
        }
    }
cout<<br2<<endl<<rec;
}
else{
    int br2=0;
for(int i=0;i<a2;i++){
    for(int j=0;j<n;j++){
        if(a[i]==rec[j]) {
            br[i]++;
        }
    }
if(br[i]<mini) {
    index=a[i];
    mini=br[i];
}
}
for(int i=0;i<n;i++){
    if(index==rec[i]) {
            rec[i]=42;
            br2++;
    }
}
cout<<br2<<endl<<rec;
}
}